org.appng.xml.application

## Class ObjectFactory

- java.lang.Object
- - org.appng.xml.application.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the org.appng.xml.application package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.appng.xml.application

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JAXBElement<ApplicationInfo>` | `createApplication(ApplicationInfo value)` Create an instance of `JAXBElement``<``ApplicationInfo``>`}
    `ApplicationInfo` | `createApplicationInfo()` Create an instance of `ApplicationInfo`
    `Datasource` | `createDatasource()` Create an instance of `Datasource`
    `Datasources` | `createDatasources()` Create an instance of `Datasources`
    `Permission` | `createPermission()` Create an instance of `Permission`
    `PermissionRef` | `createPermissionRef()` Create an instance of `PermissionRef`
    `Permissions` | `createPermissions()` Create an instance of `Permissions`
    `Properties` | `createProperties()` Create an instance of `Properties`
    `Property` | `createProperty()` Create an instance of `Property`
    `Role` | `createRole()` Create an instance of `Role`
    `Roles` | `createRoles()` Create an instance of `Roles`
    `Template` | `createTemplate()` Create an instance of `Template`
    `JAXBElement<Template>` | `createTemplate(Template value)` Create an instance of `JAXBElement``<``Template``>`}

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.appng.xml.application

  - ### Method Detail

    - #### createTemplate

          public Template createTemplate()

      Create an instance of `Template`

    - #### createApplicationInfo

          public ApplicationInfo createApplicationInfo()

      Create an instance of `ApplicationInfo`

    - #### createRole

          public Role createRole()

      Create an instance of `Role`

    - #### createPermissionRef

          public PermissionRef createPermissionRef()

      Create an instance of `PermissionRef`

    - #### createRoles

          public Roles createRoles()

      Create an instance of `Roles`

    - #### createPermission

          public Permission createPermission()

      Create an instance of `Permission`

    - #### createDatasources

          public Datasources createDatasources()

      Create an instance of `Datasources`

    - #### createPermissions

          public Permissions createPermissions()

      Create an instance of `Permissions`

    - #### createDatasource

          public Datasource createDatasource()

      Create an instance of `Datasource`

    - #### createProperty

          public Property createProperty()

      Create an instance of `Property`

    - #### createProperties

          public Properties createProperties()

      Create an instance of `Properties`

    - #### createTemplate

          public JAXBElement<Template> createTemplate(Template value)

      Create an instance of `JAXBElement``<``Template``>`}

    - #### createApplication

          public JAXBElement<ApplicationInfo> createApplication(ApplicationInfo value)

      Create an instance of `JAXBElement``<``ApplicationInfo``>`}

Copyright © 2011–2023 aiticon GmbH. All rights reserved.